var productCategoryController = function () {
    this.initialize = function () {
        loadCategoriesMain();
        // loadData();
        registerEvents();
    }
    function registerEvents() {
        //$('#ddlCategoryMain').on('change', function () {
        //    loadCategoriesSub();
        //});
      
    }
    function loadCategoriesMain() {
        $.ajax({
            type: 'GET',
            url: '/product/GetAllCategoriesMain',
            dataType: 'json',
            success: function (response) {
                var render = "<option value='0'>--CHỌN LÀM NHÓM CHÍNH--</option>";
                $.each(response, function (i, item) {
                    //render += "<option value='-1'>Hiển thị tất cả</option>";
                    render += "<option value='" + item.Id + "'>" + item.Name + "</option>";
                });
                $('#ddlCategoryMain').html(render);
            },
            error: function (status) {
                console.log(status);
                monecore.notify('Cannot loading product category data', 'error');
            }
        });
    }

   
}